------------------------------------------------------------------------------------
--Name：            220401[简体征服][任务脚本]海盗觉醒任务-第二部分
--Creator:      江宇君
--Created:     2022-04-01
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>274

CppScriptMgr:SetViewPosByCell(301,109)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(300,108)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(299,107)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(298,106)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(297,105)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(296,104)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(295,103)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(294,102)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(293,101)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(292,100)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(291,99)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(290,98)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(289,97)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(288,96)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(287,95)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(286,94)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(285,93)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(284,92)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(283,91)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(282,90)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(281,89)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(280,88)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(279,87)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(278,86)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(277,85)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(276,84)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(275,83)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(274,82)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(273,81)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(272,80)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(271,79)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(270,78)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(269,77)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(268,76)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(267,75)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:SetViewPosByCell(266,74)
CppScriptMgr:WaitMilSec(80)



-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)

------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
--怪物

CppScriptMgr:SetViewPosByCell(459,369)
local player1 = CppScriptMgr:AddSimplePlayer(21494, 459,369, "[NavyAdmiral]\n    Leo")
player1:SetDir(4)
local player2 = CppScriptMgr:AddSimplePlayer(21480, 458,363, "[GeneralAdmiral]\n    Rop")
player1:SetZoomPercent(155)
player2:SetZoomPercent(155)

player1:Say("There should be no pirates on the sea!", 2000)
CppScriptMgr:NpcCallOut("There should be no pirates on the sea!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2149", 150, 430, "Leo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
player1:Say("Their existence is a threat to the sea. Villains like Cabas keep doing harm. ", 2000)
CppScriptMgr:NpcCallOut("Their existence is a threat to the sea. Villains like Cabas keep doing harm. ", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2149", 150, 430, "Leo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
player2:Say("That is too dogmatic.", 2000)
CppScriptMgr:NpcCallOut("That is too dogmatic.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2148", 150, 430,"Rop", 250, 655)
CppScriptMgr:WaitMilSec(2000)
player1:Say("That is the fact! No one can stop No-pirate Order!", 2000)
CppScriptMgr:NpcCallOut("That is the fact! No one can stop No-pirate Order!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2149", 150, 430, "Leo", 250, 655)
CppScriptMgr:WaitMilSec(2000)